Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Get user list.

GET
/customer-api/v1/users
curl --request GET \
--url 'https://your-instance.seventhings.com/customer-api/v1/users?page=1&per_page=50&sort_by=id&order=asc' \
--header 'Authorization: Bearer <token>'

Get the information about the users.

page
integer format: int32
default: 1 >= 1 <= 10000

Page number

Example
1
per_page
integer format: int32
default: 50 >= 1 <= 1000

Number of items per page

Example
50
sort_by
string
default: id
Allowed values: id email

Sort by

Example
id
order
string
default: asc
Allowed values: asc ASC desc DESC

Sort order direction

Example
asc

The information about the user currently logged in

Media typeapplication/json
object
items
Array<object>
0 <= 1000 items
object
uuid

The message uuid

string
id
integer
<= 9007199254740992
email

The users email

string
firstname

The users first name

string
nullable
lastname

The users last name

string
nullable
display_name

The users display name of combined name

string
nullable
page
integer format: int32
default: 1 >= 1 <= 10000
per_page
integer format: int32
default: 50 >= 1 <= 1000
sort_by
string
default: id
Allowed values: id email
order
string
default: asc
Allowed values: asc desc
total
integer
Example
{
"items": [
{
"uuid": "f9f9f9f9-f9f9f9-f9f9f9-f9f9f9f9f9f9",
"email": "user@example.com",
"firstname": "Max",
"lastname": "Miller",
"display_name": [
"Max Miller (user@example.com)",
"user@example.com"
]
}
],
"page": 1,
"per_page": 50,
"sort_by": "id",
"order": "asc"
}

Access token is missing or invalid.

You are not permitted to perform the requested operation.

Internal Server Error.